REM ***************************************
REM *                                     *
REM *            "HiVGA.INC"              *
REM *       Fr HiVGA Version 0.92        *
REM *  (c) 1994 by DELIAMBER-Software     *
REM *  Unregistrierte Shareware-Version   *
REM *      fr PowerBasic (TM) 3.x        *
REM *                                     *
REM ***************************************

REM **********************************************************************
REM "HiVGA" ist Shareware ohne irgendwelche Funktionseinschrnkungen,
REM d.h. Sie knnen das Produkt vollstndig testen, bevor Sie sich zum
REM Kauf der Vollversion entschlieen. Die Shareware-Version unter-
REM scheidet sich von der Vollversion lediglich dadurch, da beim
REM ersten Aufruf der Funktion "VMODE" eine Shareware-Meldung er-
REM scheint, ausserdem erhalten unregistrierte Anwender keinen Support.

REM Die Vollversion erhalten Sie fr 26.00 DM (Bankberweisung) oder
REM 32.00 DM (per Nachnahme). Lieferung auf 3 1/2 Zoll Diskette.
REM In der Vollversion ist zustzlich eine 386er Version von HiVGA
REM enthalten!

REM Ab Version 1.0 wird der Preis fr HiVGA voraussichtlich 30.00 DM
REM (36.00 DM per Nachnahme) betragen!

REM Bestellungen richten Sie bitte an:

REM    Matthus Stadler
REM    Schtzenstr. 37
REM    D-76137 Karlsruhe


REM Bankberweisung auf Konto:

REM    2583 45-759
REM    Postgiroamt Karlsruhe
REM    Bankleitzahl 66010075


REM Der Autor ist erreichbar via EMAIL:
REM InterNet: matthaeus_stadler@p1.music-bbs.schiele-ct.de
REM FidoNet:  Matthaeus Stadler at 2:2476/401.1
REM **********************************************************************

$LIB GRAPH OFF  'solange nur mit HiVGA gearbeitet wird, knnen die Power
		'Basic Grafik-Routinen wegelassen werden, um den Code zu
		'verkleinern.

$STACK 2560     'Stack vergrssern fr lokale HiVGA Variablen (Stackgre
		'sollte mindestens 2048 betragen).

REM Vordefinierte Konstanten zur bergabe an VMODE
%MODENO=255
%VGACODE=254
%GETXRES=253
%GETYRES=252
%VIDSEG=251
%SCANLINE=250
%VGATYPE=249
%VGAMEM=248
%BANKSIZE=247
%PAGES=246
%ISPLANAR=245
%VERSNO=244

REM Nach der Compileranweisung $LINK mu der Pfad zum Link-File
REM angegeben werden!
$LINK"HIVGA.PBL"

REM Oder...
REM $LINK"E:\HIVGA386.PBL" 'Nur in der Vollversion enthalten!

REM FUNCTIONS
DECLARE FUNCTION VMODE%(BYVAL MODE%)
DECLARE FUNCTION GETPIX%(BYVAL X%, BYVAL Y%)
DECLARE FUNCTION GETCPU%()
DECLARE FUNCTION GETSIZE??(BYVAL X1%, BYVAL Y1%, BYVAL X2%, BYVAL Y2%)
DECLARE FUNCTION LOADPCX%(FILENAME$, BYVAL XPOS%, BYVAL YPOS%)

REM PROCEDURES
DECLARE SUB SETPIX(BYVAL X%, BYVAL Y%, BYVAL COL%)
DECLARE SUB XYLINE(BYVAL X1%, BYVAL Y1%, BYVAL X2%, BYVAL Y2%, BYVAL COL%)
DECLARE SUB LINETO(BYVAL X%, BYVAL Y%, BYVAL COL%)
DECLARE SUB MOVETO(BYVAL X%, BYVAL Y%)
DECLARE SUB FILL(BYVAL X%, BYVAL Y%, BYVAL COL%, BYVAL BORDER%)
DECLARE SUB BAR(BYVAL X1%, BYVAL Y1%, BYVAL X2%, BYVAL Y2%, BYVAL COL%)
DECLARE SUB BOX(BYVAL X1%, BYVAL Y1%, BYVAL X2%, BYVAL Y2%, BYVAL COL%)
DECLARE SUB TXTSTYLE(BYVAL FONT%, BYVAL CWIDE%, BYVAL CHIGH%, BYVAL CD%)
DECLARE SUB SETPAGE(BYVAL PAGE%)
DECLARE SUB SHOWPAGE(BYVAL PAGE%)
DECLARE SUB COPYPAGE(BYVAL FROMPAGE%, BYVAL TOPAGE%)
DECLARE SUB CLG(BYVAL COL%)
DECLARE SUB GETIMG(BYVAL X1%, BYVAL Y1%, BYVAL X2%, BYVAL Y2%, ADR?)
DECLARE SUB SETIMG(BYVAL X%, BYVAL Y%, ADR?)
DECLARE SUB PIXPAN(BYVAL P%)
DECLARE SUB GSCROLL(BYVAL X%, BYVAL Y%)
DECLARE SUB SPLITSCR(BYVAL SPLITAT%)
DECLARE SUB SCRONOFF(BYVAL SWITCH%)
DECLARE SUB FADE(BYVAL BR%, BYVAL FC%, BYVAL LC%)
DECLARE SUB MAKECOL(BYVAL COLNO%, BYVAL RED%, BYVAL GREEN%, BYVAL BLUE%)
DECLARE SUB READCOL(BYVAL COLNO%, RED%, GREEN%, BLUE%)
DECLARE SUB SETGREY(BYVAL FC%, BYVAL TC%)
DECLARE SUB SETCOL(BYVAL FC%, BYVAL LC%)
DECLARE SUB CYCLECOL(BYVAL FIRST%, BYVAL LAST%, BYVAL DIRECTION%)
DECLARE SUB SCIRCLE(BYVAL X%, BYVAL Y%, BYVAL R%, BYVAL COL%)
DECLARE SUB FCIRCLE(BYVAL X%, BYVAL Y%, BYVAL R%, BYVAL COL%)
DECLARE SUB SELLIPSE(BYVAL X%, BYVAL Y%, BYVAL A%, BYVAL B%, BYVAL COL%)
DECLARE SUB FELLIPSE(BYVAL X%, BYVAL Y%, BYVAL A%, BYVAL B%, BYVAL COL%)
DECLARE SUB WSCROLL(BYVAL D%, BYVAL L%, BYVAL X1%, BYVAL Y1%, BYVAL X2%, BYVAL Y2%, BYVAL COL%)
DECLARE SUB WRITETXT(BYVAL X%, BYVAL Y%, BYVAL COL%, TXT$, BYVAL BIOS%)
DECLARE SUB PLOTTXT(BYVAL X%, BYVAL Y%, BYVAL COL%, TXT$)
DECLARE SUB SPLITPIXPAN()
DECLARE SUB WVRETRACE()
DECLARE SUB WDISPLAY()
DECLARE SUB GETPAL()
DECLARE SUB GETCOL()
DECLARE SUB RESTORECOL()
DECLARE SUB INITHIVGA()

CALL INITHIVGA 'ZUM INITIALISIEREN VON HIVGA!!!