$LIB ALL OFF
$CPU 80286
$INCLUDE"C:\PB\HIVGA.INC"

DEFINT A-Z

FEHLER=VMODE(15) '320*400*256 mit zwei Bildschirmseiten!
SELECT CASE FEHLER
  CASE -1: PRINT"Programm laeuft nur mit VGA!": BEEP: STOP
  CASE  1: PRINT"Modus nicht erlaubt!": BEEP: STOP
  CASE  2: PRINT"Nur TTL-Monitor.  Programm abgebrochen!": BEEP: STOP
  CASE  3: PRINT"SVGA-Modus konnte nicht eingeschaltet werden!": BEEP: STOP
  CASE  4: PRINT"SVGA nicht erkannt!": BEEP: STOP
END SELECT

XRES=VMODE(%GETXRES)
YRES=VMODE(%GETYRES)

REM RAHMEN
CALL SCRONOFF(0) 'BILDSCHIRM DUNKEL
CALL CLG(0)
FOR I=0 TO 599
  CALL SETPIX(RND*XRES,RND*YRES,RND*255)
NEXT I
FOR I=1 TO 30
  IF I/3=INT(I/3) THEN INCR N
  CALL BOX(35-I,90-I,285+I,260+I,17+N)
NEXT I

REM  TITEL
CALL BAR(35,90,285,260,18)
CALL TXTSTYLE(3,2,3,1)
CALL PLOTTXT(55,105,76,"HiVGA V 0.92")
CALL TXTSTYLE(2,1,2,1)
CALL PLOTTXT(70,170,75,"fr Power Basic 3.0")
CALL TXTSTYLE(2,1,2,0)
CALL PLOTTXT(38,220,74," c 1994 by DELIAMBER-Software")
CALL SELLIPSE(49,235,7,10,74)

FOR COL=16 TO 27
  INCR BLUE,5
  CALL MAKECOL(COL,0,0,BLUE)
NEXT COL
GREEN=25
FOR COL=74 TO 76
  INCR GREEN,5
  CALL MAKECOL(COL,0,GREEN,0)
NEXT COL
CALL SCRONOFF(1) 'BILDSCHIRM HELL

CALL GETPAL
CALL GETCOL 'VERNDERTE PALETTE MERKEN

REM LAUFSCHRIFT (KLEINER TRICK)
CALL TXTSTYLE(1,1,1,0)
CALL BAR(0,330,319,355,177)
FOR I=1000 TO 0 STEP -1
  CALL WVRETRACE
  CALL BAR(0,336,319,351,177)
  CALL PLOTTXT(I,340,4,"256 Farben fr Power Basic")
NEXT I
CALL BAR(0,330,319,355,0)
SLEEP 2

REM --------------------------------
CALL SETPAGE(1)  'SEITE 2 EINSCHALTEN DAMIT DAS TITELBILD NICHT ZERSTRT WIRD
CALL SHOWPAGE(1) 'SEITE 2 ANZEIGEN

%BACKCOL=2
CALL CLG(%BACKCOL)
CALL TXTSTYLE(3,2,2,1) 'GRSSE DES TEXTES FESTLEGEN
CALL PLOTTXT(43,10,14,"ZEICHENBEFEHLE")

CALL TXTSTYLE(2,1,1,0) 'GRSSE DES TEXTES FESTLEGEN

CALL BAR(10,70,155,190,0)
CALL BOX(10,70,155,190,15)
CALL BAR(165,70,310,190,0)
CALL BOX(165,70,310,190,15)
CALL BAR(10,240,155,360,0)
CALL BOX(10,240,155,360,15)
CALL BAR(165,240,310,360,0)
CALL BOX(165,240,310,360,15)

REM SETPIX DEMO
CALL PLOTTXT(55,200,4,"SETPIX")
SLEEP 0.5
FOR I=0 TO 1000
  X=RND*143+11
  Y=RND*119+71
  COL=RND*255
  CALL SETPIX(X,Y,COL)
NEXT I
SLEEP 1.5

REM XYLINE DEMO
CALL PLOTTXT(205,200,4,"XYLINE")
SLEEP 0.5
FOR I=0 TO 200
  X1=RND*143+166
  Y1=RND*119+71
  X2=RND*143+166
  Y2=RND*119+71
  COL=RND*255
  CALL XYLINE(X1,Y1,X2,Y2,COL)
NEXT I
SLEEP 1.5

REM BOX DEMO
CALL PLOTTXT(65,370,4,"BOX")
SLEEP 0.5
FOR I=0 TO 35
  X1=RND*143+11
  Y1=RND*119+240
  X2=RND*143+11
  Y2=RND*119+240
  COL=RND*255
  CALL BOX(X1,Y1,X2,Y2,COL)
NEXT I
SLEEP 1.5

REM BAR DEMO
CALL PLOTTXT(215,370,4,"BAR")
SLEEP 0.5
FOR I=0 TO 35
  X1=RND*143+166
  Y1=RND*119+240
  X2=RND*143+166
  Y2=RND*119+240
  COL=RND*255
  CALL BAR(X1,Y1,X2,Y2,COL)
NEXT I
SLEEP 5

CALL BAR(10,70,155,190,0)
CALL BOX(10,70,155,190,15)
CALL BAR(165,70,310,190,0)
CALL BOX(165,70,310,190,15)
CALL BAR(10,240,155,360,0)
CALL BOX(10,240,155,360,15)
CALL BAR(165,240,310,360,0)
CALL BOX(165,240,310,360,15)
CALL PLOTTXT(55,200,%BACKCOL,"SETPIX")
CALL PLOTTXT(205,200,%BACKCOL,"XYLINE")
CALL PLOTTXT(65,370,%BACKCOL,"BOX")
CALL PLOTTXT(215,370,%BACKCOL,"BAR")

REM SCIRCLE DEMO
CALL PLOTTXT(50,200,5,"SCIRCLE")
SLEEP 0.5
FOR I=0 TO 55
  X=RND*113+23
  Y=RND*85+90
  R=RND*20+1
  COL=RND*255
  CALL SCIRCLE(X,Y,R,COL)  'Eigentlich msste man bei dieser Auflsung
NEXT I                     'Ellipsen zeichnen, um runde Kreise zu erhalten!
SLEEP 1.5

REM FCIRCLE DEMO
CALL PLOTTXT(200,200,5,"FCIRCLE")
SLEEP 0.5
FOR I=0 TO 55
  X=RND*112+186
  Y=RND*85+90
  R=RND*20+1
  COL=RND*255
  CALL FCIRCLE(X,Y,R,COL)
NEXT I
SLEEP 1.5

REM SELLIPSE DEMO
CALL PLOTTXT(50,370,5,"SELLIPSE")
FOR I=0 TO 55
  X=RND*105+28
  Y=RND*92+255
  A=RND*15+1
  B=RND*15+1
  COL=RND*255
  CALL SELLIPSE(X,Y,A,B,COL)
NEXT I
SLEEP 1.5

REM FELLIPSE DEMO
CALL PLOTTXT(200,370,5,"FELLIPSE")
SLEEP 0.5
FOR I=0 TO 55
  X=RND*110+180
  Y=RND*92+255
  A=RND*15+1
  B=RND*15+1
  COL=RND*255
  CALL FELLIPSE(X,Y,A,B,COL)
NEXT I
SLEEP 5

CALL BAR(10,70,155,190,0)
CALL BOX(10,70,155,190,15)
CALL BAR(165,70,310,190,0)
CALL BOX(165,70,310,190,15)
CALL BAR(10,240,155,360,0)
CALL BOX(10,240,155,360,15)
CALL BAR(165,240,310,360,0)
CALL BOX(165,240,310,360,15)
CALL PLOTTXT(50,200,%BACKCOL,"SCIRCLE")
CALL PLOTTXT(200,200,%BACKCOL,"FCIRCLE")
CALL PLOTTXT(50,370,%BACKCOL,"SELLIPSE")
CALL PLOTTXT(200,370,%BACKCOL,"FELLIPSE")

REM FILL DEMO
CALL PLOTTXT(145,205,4,"FILL")
SLEEP 0.5
FOR Y=75 TO 180 STEP 16
  CALL PLOTTXT(14,Y,15,"Um den Text herum")
NEXT Y
SLEEP 1.5
CALL FILL(11,71,1,15)

FOR I=0 TO 15
  X=RND*112+186
  Y=RND*85+90
  R=RND*20+1
  CALL FCIRCLE(X,Y,R,15)
NEXT I
SLEEP 1.5
CALL FILL(167,71,4,15)

FOR I=0 TO 55
  X=RND*110+25
  Y=RND*81+260
  R=RND*18+1
  CALL FCIRCLE(X,Y,R,15)
NEXT I
SLEEP 1.5
CALL FILL(80,300,2,0)

FOR COL=16 TO 54
  CALL FILL(166,241,COL,15)
NEXT COL
SLEEP 5

REM ----------------------------------------

REM Ein bischen was frs Auge
CALL CLG(0)
CALL SETPAGE(0)
CALL SHOWPAGE(0)

REM ZEICHNE JETZT AUF NICHT SICHTBAREM BILDSCHIRMTEIL
CALL BOX(30,400,290,620,120)
FOR R=100 TO 1 STEP -1
  CALL FCIRCLE(160,512,R,R)
NEXT R

REM TEXT SICHTBAR
CALL TXTSTYLE(3,1,3,0)
CALL PLOTTXT(20,330,110,"Demonstration des 'CYCLECOL' Befehls")
SLEEP 2

REM UNSICHTBAR GEZEICHNETEN KREIS INS BILD SCROLLEN
FOR Y=0 TO 295
  CALL WVRETRACE
  CALL GSCROLL(0,Y)
NEXT Y
SLEEP 1

REM FARBPALETTE ROTIEREN
FOR I=1 TO 400
  CALL WVRETRACE
  CALL CYCLECOL(1,100,1)
NEXT I
FOR I=1 TO 400
  CALL WVRETRACE
  CALL CYCLECOL(1,100,0)
NEXT I
SLEEP 1
CALL PLOTTXT(20,330,0,"Demonstration des 'CYCLECOL' Befehls")
CALL PLOTTXT(20,630,110,"Demonstration des 'SETGREY' Befehls")
SLEEP 2

REM FARBEN LANGSAM IN GRAUSTUFEN WANDELN
FOR I=1 TO 100
  CALL WVRETRACE
  CALL SETGREY(1,I)
NEXT I
SLEEP 1
CALL PLOTTXT(20,630,0,"Demonstration des 'SETGREY' Befehls")
SLEEP 2
CALL PLOTTXT(20,330,110,"Demonstration des 'SETCOL' Befehls")
SLEEP 1
FOR I=1 TO 100
  CALL WVRETRACE
  CALL SETCOL(I,I)
NEXT I
SLEEP 2

REM DAS GANZE NOCHMAL SCHNELLER
FOR I=1 TO 6
  CALL WDISPLAY
  CALL SETGREY(1,100)
  DELAY 0.5
  CALL WDISPLAY
  CALL SETPAL
  DELAY 0.5
NEXT I

REM MAKECOL
CALL PLOTTXT(20,330,0,"Demonstration des 'SETCOL' Befehls")
SLEEP 1
CALL PLOTTXT(20,330,110,"Demonstration des 'MAKECOL' Befehls")
FOR COL=1 TO 100
  CALL WVRETRACE
  SELECT CASE COL
    CASE  1 TO 33:  CALL MAKECOL(COL,COL MOD 64,0,0)
    CASE 34 TO 67:  CALL MAKECOL(COL,0,COL MOD 64,0)
    CASE 68 TO 100: CALL MAKECOL(COL,COL,0,COL MOD 64)
  END SELECT
NEXT COL
CALL GETPAL
FOR I=1 TO 500
  CALL WVRETRACE
  CALL CYCLECOL(1,100,0)
NEXT I
SLEEP 2

REM ALTE PALETTE HERSTELLEN
FOR COL=1 TO 100
  DELAY 0.05
  CALL SETCOL(COL,COL+1)
NEXT COL

REM TITELBILD WIEDER RUNTERSCROLLEN
FOR Y=295 TO 0 STEP -1
  CALL WVRETRACE
  CALL GSCROLL(0,Y)
NEXT Y
CALL PLOTTXT(20,330,0,"Demonstration des 'MAKECOL' Befehls")

REM TITELBILD AUSBLENDEN UND TEXT STEHENLASSEN
CALL PLOTTXT(20,330,1,"Demonstration des 'FADE' Befehls")
SLEEP 1
FOR I=255 TO 0 STEP -1
  CALL WVRETRACE
  CALL FADE(I,2,250)
  DELAY 0.02
NEXT I
SLEEP 2

REM WIEDER AUFBLENDEN
FOR I=0 TO 255
  CALL WVRETRACE
  CALL FADE(I,2,250)
  DELAY 0.02
NEXT I
SLEEP 3
CALL PLOTTXT(20,330,0,"Demonstration des 'FADE' Befehls")

REM ---------------------------

REM SROLLDEMOS
CALL TXTSTYLE(1,1,4,0)
CALL PLOTTXT(20,10,9,"Horizontales Scrolling mit SplitSCR")

REM BILDSCHIRM "SPLITTEN"
CALL SPLITSCR(339)

REM BILDSCHIRM NACH LINKS SCROLLEN
FOR X=1 TO 2*XRES
  CALL GSCROLL(X,0)
  CALL WVRETRACE
  IF VMODE(%ISPLANAR) THEN
    CALL SPLITPIXPAN
    CALL PIXPAN(X MOD 8)
  END IF
NEXT X

REM JETZT NACH RECHTS
FOR X=2*XRES TO 1 STEP -1
  CALL GSCROLL(X,0)
  CALL WVRETRACE
  IF VMODE(%ISPLANAR) THEN
    CALL SPLITPIXPAN
    CALL PIXPAN(X MOD 8)
  END IF
NEXT X
CALL PLOTTXT(20,10,0,"Horizontales Scrolling mit SplitSCR")
SLEEP 2

REM JETZT NACH OBEN SCROLLEN
CALL PLOTTXT(20,10,12,"Vertikales Scrolling mit SplitSCR")
FOR Y=0 TO YRES
  CALL WVRETRACE
  CALL GSCROLL(0,Y)
NEXT Y

REM UND DAS GANZE NACH UNTEN
FOR Y=YRES TO 0 STEP -1
  CALL WVRETRACE
  CALL GSCROLL(0,Y)
NEXT Y
SLEEP 3
CALL PLOTTXT(20,10,0,"Vertikales Scrolling mit SplitSCR")

REM "BILDSCHIRMSPLIT" WIEDER AUSSCHALTEN
CALL SPLITSCR(399)

REM --------------------------------
REM LOADPCX
CALL SETPAGE(1)  'SEITE 2 EINSCHALTEN
CALL CLG(0)
CALL SHOWPAGE(1) 'SEITE 2 ANZEIGEN
CALL PLOTTXT(20,330,110,"Demonstration des 'LOADPCX' Befehls")
SLEEP 2
CALL PLOTTXT(20,330,0,"Demonstration des 'LOADPCX' Befehls")
FAIL=LOADPCX("HIVGA.PCX",0,0) 'DAS PCX-FILE SOLLTE HIER IM SELBEN
			      'VERZEICHNIS WIE DAS DEMO STEHEN!

IF ISFALSE FAIL THEN
  CALL COPYPAGE(1,0) 'SEITE 2 NACH SEITE 1 KOPIEREN
  SLEEP 3

  REM GETIMG/SETIMG
  CALL PLOTTXT(10,330,77,"Demonstration der 'GET/SETIMG' Befehle")
  SLEEP 3

  SIZE??=GETSIZE(127,127,193,172)
  DIM IMG1(0:SIZE??) AS BYTE
  DIM IMG2(0:SIZE??) AS BYTE

  CALL GETIMG(127,127,193,172,IMG2(0))
  CALL BOX(127,127,193,172,15)
  CALL GETIMG(127,127,193,172,IMG1(0))
  CALL BAR(127,127,193,172,15)

  SLEEP 1
  FOR I=0 TO 180
    X=INT(RND*XRES)
    Y=INT(RND*(YRES-200))+200
    CALL SETIMG(X,Y,IMG1(0))
  NEXT I
  SLEEP 3
  CALL SETIMG(127,127,IMG2(0))

  SIZE??=GETSIZE(0,0,319,99)

  SLEEP 2
  REDIM IMG1(0:SIZE??) AS BYTE
  REDIM IMG2(0:SIZE??) AS BYTE
  CALL GETIMG(0,0,319,99,IMG1(0))
  CALL GETIMG(0,100,319,199,IMG2(0))

  FOR Y=1 TO 200
    CALL XYLINE(0,Y-1,319,Y-1,0)
    CALL SETIMG(0,Y,IMG1(0))
    CALL SETIMG(0,Y+100,IMG2(0))
  NEXT Y

  FOR SIDE=0 TO 15
    DELAY 0.2
    CALL SHOWPAGE(0)
    DELAY 0.2
    CALL SHOWPAGE(1)
  NEXT SIDE

  DELAY 0.2
  CALL SETIMG(0,0,IMG1(0))
  CALL SETIMG(0,100,IMG2(0))
  ERASE IMG1,IMG2
  SLEEP 4
END IF

rem -------------------------------------------

DEF SEG=0
POKE &H41A,PEEK(&H41C) 'TASTATUR-PUFFER LSCHEN
DEF SEG

REM SCHLUSSBILD
CALL SETPAGE(0)
CALL CLG(0)
Y=399
FOR X=319 TO 95 STEP -1
  COL=COL*-(COL<126)+1
  CALL BOX(320-X,400-Y,X,Y,COL)
  DECR Y
NEXT R

CALL SHOWPAGE(0)
FOR COL=1 TO 126
  IF COL<64 THEN
    CALL MAKECOL(COL,0,0,COL)
  ELSE
    CALL MAKECOL(COL,0,0,127-COL)
  END IF
NEXT COL

CALL TXTSTYLE(3,3,3,1)
FOR I=0 TO 4
  CALL MAKECOL(240+I,10*I,30,50+I*2)
  CALL PLOTTXT(100+I*25,177,240+I,RIGHT$("HiVGA",5-I))
NEXT
CALL GETPAL

WHILE ISFALSE LEN(INKEY$)
  CALL WVRETRACE
  CALL CYCLECOL(1,126,1)
  CALL CYCLECOL(240,244,0)
WEND

REM ENDE DER DEMO
CALL VMODE(3)
CALL WRITETXT(1,2,4,"Die nchste Version von 'HiVGA' fr Power Basic",0)
CALL WRITETXT(1,3,4,"erscheint noch 1994, mit noch mehr Features !!!",0)
END